<?php
header('Content-Type: application/json');
include_once('./classes/conexao.php');	
if(!isset($_GET['token'])){
	$mensagem = '{"code":"400","message":"Parametros não preenchido!"}';
	echo $mensagem;
    die();
}
$token = 'ajr123';
$chave = $_GET['token'];
$manifesto = $_GET['manifesto'];
if($chave <> $token){
    $mensagem = '{"code":"400","message":"Token invalido!"}';
	echo $mensagem;
    die();	
}
$json = file_get_contents("php://input");
$obj = json_decode($json);
foreach($obj as $itemsom) { 
    $placa = $itemsom->placa;     
	$filial = $itemsom->filial;
	$coleta = $itemsom->coleta;
}
if(!isset($placa)){
	echo"[]";
	die();
}
if(!isset($filial)){
	echo"[]";
	die();
}
if(!isset($coleta)){
	echo"[]";
	die();
}
if($manifesto == ''){
$sql = "select a.codigo, a.filial, a.coleta, a.manfilial, a.manmanife, a.manserie, a.data
from coletas a
where a.status = 5
and a.placa = '$placa' 
and a.coleta = '$coleta'
and a.filial = '$filial' ";
$resultadosql = $conn->prepare($sql);
$resultadosql->execute();
$resultadosql = $resultadosql->fetchAll(PDO::FETCH_ASSOC);
echo json_encode($resultadosql, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES);	
}else{
$sql = "select a.codigo, a.filial, a.coleta, a.manfilial, a.manmanife, a.manserie, a.data
from coletas a
where a.status = 5
and a.placa = '$placa' 
and a.coleta = '$coleta'
and a.filial = '$filial' and a.manmanife = '$manifesto' ";
$resultadosql = $conn->prepare($sql);
$resultadosql->execute();
$resultadosql = $resultadosql->fetchAll(PDO::FETCH_ASSOC);
echo json_encode($resultadosql, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES);
}
?>